Index: titan/help/de/adjust.txt
===================================================================
--- titan/help/de/adjust.txt	(revision 22396)
+++ titan/help/de/adjust.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für adjust
+Here you can make your adjust settings.
Index: titan/help/de/avsettings.txt
===================================================================
--- titan/help/de/avsettings.txt	(revision 22396)
+++ titan/help/de/avsettings.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für avsettings
+Here you can make your picture and sound settings.
Index: titan/help/de/bgdownload.txt
===================================================================
--- titan/help/de/bgdownload.txt	(revision 22396)
+++ titan/help/de/bgdownload.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für bgdownload
+Here you can select from the following list.
Index: titan/help/de/blindscanadjust.txt
===================================================================
--- titan/help/de/blindscanadjust.txt	(revision 22396)
+++ titan/help/de/blindscanadjust.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für blindscanadjust
+Here you can do a blind scan, this process takes a long time.
Index: titan/help/de/channelslotlist.txt
===================================================================
--- titan/help/de/channelslotlist.txt	(revision 22396)
+++ titan/help/de/channelslotlist.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für channelslotlist
+Here you can assign channels for their ci modules.
Index: titan/help/de/diseqcscreen.txt
===================================================================
--- titan/help/de/diseqcscreen.txt	(revision 22396)
+++ titan/help/de/diseqcscreen.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für diseqcscreen
+diseqcscreen
Index: titan/help/de/epgscanlist.txt
===================================================================
--- titan/help/de/epgscanlist.txt	(revision 22396)
+++ titan/help/de/epgscanlist.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für epgscanlist
+Here you can edit the following channels from the EPG.
Index: titan/help/de/epgsearch.txt
===================================================================
--- titan/help/de/epgsearch.txt	(revision 22396)
+++ titan/help/de/epgsearch.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für epgsearch
+Here you can in your EPG entries for specific search. Use to start a color button to search.
Index: titan/help/de/epgsettings.txt
===================================================================
--- titan/help/de/epgsettings.txt	(revision 22396)
+++ titan/help/de/epgsettings.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für epgsettings
+Here you can make your epg settings.
Index: titan/help/de/harddisk_main.txt
===================================================================
--- titan/help/de/harddisk_main.txt	(revision 22396)
+++ titan/help/de/harddisk_main.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für harddisk_main
+Here you can select your hard disks and USB flash drives for configuration.
Index: titan/help/de/httpdsettings.txt
===================================================================
--- titan/help/de/httpdsettings.txt	(revision 22396)
+++ titan/help/de/httpdsettings.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für httpdsettings
+Here you can configure your web server.
Index: titan/help/de/inadynsettings.txt
===================================================================
--- titan/help/de/inadynsettings.txt	(revision 22396)
+++ titan/help/de/inadynsettings.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für inadynsettings
+Here you can configure access to your DynDNS.
Index: titan/help/de/interfacelist.txt
===================================================================
--- titan/help/de/interfacelist.txt	(revision 22396)
+++ titan/help/de/interfacelist.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für interfacelist
+Here you can select your Network Interface.
Index: titan/help/de/language.txt
===================================================================
--- titan/help/de/language.txt	(revision 22396)
+++ titan/help/de/language.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für language
+Here you can set your language.
Index: titan/help/de/listedit.txt
===================================================================
--- titan/help/de/listedit.txt	(revision 22396)
+++ titan/help/de/listedit.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für listedit
+Here you can select from the following list.
Index: titan/help/de/lnbscreen.txt
===================================================================
--- titan/help/de/lnbscreen.txt	(revision 22396)
+++ titan/help/de/lnbscreen.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für lnbscreen
+Here they can do for your chosen tuner to lnb settings.
Index: titan/help/de/manualscan.txt
===================================================================
--- titan/help/de/manualscan.txt	(revision 22396)
+++ titan/help/de/manualscan.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für manualscan
+Here you can set your Channel search options. Very important, before you start looking for a channel must be set to its tuner tuner settings.
Index: titan/help/de/mediadbsettings.txt
===================================================================
--- titan/help/de/mediadbsettings.txt	(revision 22396)
+++ titan/help/de/mediadbsettings.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für mediadbsettings
+Here you can make your mediadb settings.
Index: titan/help/de/menulist.txt
===================================================================
--- titan/help/de/menulist.txt	(revision 22396)
+++ titan/help/de/menulist.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für menulist
+Here you can select from the following list.
Index: titan/help/de/menuprotect.txt
===================================================================
--- titan/help/de/menuprotect.txt	(revision 22396)
+++ titan/help/de/menuprotect.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für menuprotect
+Here you can make your PIN security for menus settings.
Index: titan/help/de/moduleadjust.txt
===================================================================
--- titan/help/de/moduleadjust.txt	(revision 22396)
+++ titan/help/de/moduleadjust.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für moduleadjust
+Here you can make your module settings.
Index: titan/help/de/moduleconfig.txt
===================================================================
--- titan/help/de/moduleconfig.txt	(revision 22396)
+++ titan/help/de/moduleconfig.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für moduleconfig
+Here you can configure Ci-Modules.
Index: titan/help/de/network.txt
===================================================================
--- titan/help/de/network.txt	(revision 22396)
+++ titan/help/de/network.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für network
+Here you can make for your selected network interface settings.
Index: titan/help/de/network_test.txt
===================================================================
--- titan/help/de/network_test.txt	(revision 22396)
+++ titan/help/de/network_test.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für network_test
+Here you can test your network.
Index: titan/help/de/ownpos.txt
===================================================================
--- titan/help/de/ownpos.txt	(revision 22396)
+++ titan/help/de/ownpos.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für ownpos
+Here you can make your settings for your engine systems. To enter the latitude and longitude using the number keys.
Index: titan/help/de/pin.txt
===================================================================
--- titan/help/de/pin.txt	(revision 22396)
+++ titan/help/de/pin.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für pin
+Here you can make your PIN security settings.
Index: titan/help/de/plugin.txt
===================================================================
--- titan/help/de/plugin.txt	(revision 22396)
+++ titan/help/de/plugin.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für plugin
+Here you can start and manage your additional plug-ins.
Index: titan/help/de/possetup.txt
===================================================================
--- titan/help/de/possetup.txt	(revision 22396)
+++ titan/help/de/possetup.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für possetup
+Before you can see Signal/SNR/Ber you must zap to a channel of the satellite you are searching.
Index: titan/help/de/recordpath.txt
===================================================================
--- titan/help/de/recordpath.txt	(revision 22396)
+++ titan/help/de/recordpath.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für recordpath
+Here you can make your recordpath settings.
Index: titan/help/de/rectimer.txt
===================================================================
--- titan/help/de/rectimer.txt	(revision 22396)
+++ titan/help/de/rectimer.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für rectimer
+Here you can make your recording timer configuration.
Index: titan/help/de/rectimerext.txt
===================================================================
--- titan/help/de/rectimerext.txt	(revision 22396)
+++ titan/help/de/rectimerext.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für rectimerext
+Here you can create a new record timer.
Index: titan/help/de/satfinder.txt
===================================================================
--- titan/help/de/satfinder.txt	(revision 22396)
+++ titan/help/de/satfinder.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für satfinder
+Here you can check the reception of the current station.
Index: titan/help/de/scan.txt
===================================================================
--- titan/help/de/scan.txt	(revision 22396)
+++ titan/help/de/scan.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für scan
+After the manual search, you have to if they want to save all the sender to save the search with the green button. To add a station manually have to select the sender in the right box and then save it with the red button that station. If you do not do this and go to exit out the search not saved.
Index: titan/help/de/screensaveradjust.txt
===================================================================
--- titan/help/de/screensaveradjust.txt	(revision 22396)
+++ titan/help/de/screensaveradjust.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für screensaveradjust
+Here you can make your screensaver settings.
Index: titan/help/de/serviceinfo.txt
===================================================================
--- titan/help/de/serviceinfo.txt	(revision 22396)
+++ titan/help/de/serviceinfo.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für serviceinfo
+Here you can view the current channel information.
Index: titan/help/de/skinselect.txt
===================================================================
--- titan/help/de/skinselect.txt	(revision 22396)
+++ titan/help/de/skinselect.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für skinselect
+Here you can select from the following list a skin.
Index: titan/help/de/system_backup_restore.txt
===================================================================
--- titan/help/de/system_backup_restore.txt	(revision 22396)
+++ titan/help/de/system_backup_restore.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für system_backup_restore
+Here you can backup and restore your settings.
Index: titan/help/de/timeshiftsettings.txt
===================================================================
--- titan/help/de/timeshiftsettings.txt	(revision 22396)
+++ titan/help/de/timeshiftsettings.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für timeshiftsettings
+Here you can make your timeshift settings.
Index: titan/help/de/timezone.txt
===================================================================
--- titan/help/de/timezone.txt	(revision 22396)
+++ titan/help/de/timezone.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für timezone
+Here you can set your timezone.
Index: titan/help/de/tpkinstall.txt
===================================================================
--- titan/help/de/tpkinstall.txt	(revision 22396)
+++ titan/help/de/tpkinstall.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für tpkinstall
+Here you can install from our current online offering plug-ins.
Index: titan/help/de/tunerconfig.txt
===================================================================
--- titan/help/de/tunerconfig.txt	(revision 22396)
+++ titan/help/de/tunerconfig.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für tunerconfig
+Here you can choose to configure your tuner. For your channel search, you must edit their tuner and adjust depending on the connection. For engine systems require an additional engine settings making.
Index: titan/help/de/tunerreceptiondvbc.txt
===================================================================
--- titan/help/de/tunerreceptiondvbc.txt	(revision 22396)
+++ titan/help/de/tunerreceptiondvbc.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für tunerreceptiondvbc
+Here you can set for your cable tuner. Ask your cable provider and make you connect an automatic search.
Index: titan/help/de/tunerreceptiondvbs.txt
===================================================================
--- titan/help/de/tunerreceptiondvbs.txt	(revision 22396)
+++ titan/help/de/tunerreceptiondvbs.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für tunerreceptiondvbs
+Here you can set for your satellite tuner. First, make your satellite selection. When using DiSEqC They also point to the port used. For advanced Lnb / Unicam navigate to the field and press the Red button.
Index: titan/help/de/tunerreceptiondvbt.txt
===================================================================
--- titan/help/de/tunerreceptiondvbt.txt	(revision 22396)
+++ titan/help/de/tunerreceptiondvbt.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für tunerreceptiondvbt
+Here you can set for your terrestrial tuner. Activate the terrestrial tuner and do you connect an automatic search.
Index: titan/help/de/unlock.txt
===================================================================
--- titan/help/de/unlock.txt	(revision 22396)
+++ titan/help/de/unlock.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für unlock
+Please contact Atemio for activation.
Index: titan/help/de/vfdisplay.txt
===================================================================
--- titan/help/de/vfdisplay.txt	(revision 22396)
+++ titan/help/de/vfdisplay.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für vfdisplay
+Here you can make your vfd settings.
Index: titan/help/de/wlansettings.txt
===================================================================
--- titan/help/de/wlansettings.txt	(revision 22396)
+++ titan/help/de/wlansettings.txt	(revision 30041)
@@ -1,1 +1,1 @@
-Hilfe Text für wlansettings
+Here you can make for your wireless network settings. 1. Use Search button and select Your SSID (apoint / router) and Press ok 2. Make settings Type / Key confirm with ok and Note the following instructions 3. Disable Lan Yes, Activate Wlan Yes and use DHCP for easy setup.