Index: /titan/titan/adjust.h
===================================================================
--- /titan/titan/adjust.h	(revision 30205)
+++ /titan/titan/adjust.h	(revision 30206)
@@ -247,8 +247,10 @@
 	changeinput(community_pass, getconfig("community_pass", NULL));
 
-	if(checkbox("ATEMIO-NEMESIS") == 1 || checkbox("ATEMIO5200") == 1 || checkbox("ATEMIO6200") == 1)
-		dualboot->hidden = NO;
-	else
-		dualboot->hidden = YES;
+#ifdef MIPSEL
+	dualboot->hidden = NO;
+#endif
+#ifdef SH4
+	dualboot->hidden = YES;
+#endif
 
 	if(status.security == 0 || checkemu() == 0)
@@ -393,12 +395,12 @@
 				}
 			}
-			if(checkbox("ATEMIO-NEMESIS") == 1 || checkbox("ATEMIO5200") == 1 || checkbox("ATEMIO6200") == 1)
-			{
-				addconfigscreen("dualboot", dualboot);
-				if(dualboot->ret != NULL && ostrcmp(dualboot->ret, "0") == 0)
-					unlink("/mnt/config/dualboot");
-				else
-					system("touch /mnt/config/dualboot");
-			}
+
+#ifdef MIPSEL
+			addconfigscreen("dualboot", dualboot);
+			if(dualboot->ret != NULL && ostrcmp(dualboot->ret, "0") == 0)
+				unlink("/mnt/config/dualboot");
+			else
+				system("touch /mnt/config/dualboot");
+#endif
 			addconfigscreen("playerbuffersize", playerbuffersize);
 			addconfigscreen("playerbufferseektime", playerbufferseektime);
Index: /titan/titan/avsettings.h
===================================================================
--- /titan/titan/avsettings.h	(revision 30205)
+++ /titan/titan/avsettings.h	(revision 30206)
@@ -146,6 +146,7 @@
 	free(ret); ret = NULL;
 
-	if(checkbox("ATEMIO-NEMESIS") == 1 || checkbox("ATEMIO5200") == 1 || checkbox("ATEMIO6200") == 1)
-		audiosource->hidden = YES;
+#ifdef MIPSEL
+	audiosource->hidden = YES;
+#endif
 
 	addchoicebox(ac3default, "0", _("no"));
@@ -167,6 +168,7 @@
 	free(ret); ret = NULL;
 
-	if(checkbox("ATEMIO-NEMESIS") != 1 && checkbox("ATEMIO5200") != 1 && checkbox("ATEMIO6200") != 1)
+#ifdef SH4
 		aacmode->hidden = YES;
+#endif
 	
 	changeinput(volautochangevalue, "0\n5\n10\n15\n20\n25\n30\n35\n40\n45\n50\n55\n60\n65\n70\n75");
Index: /titan/titan/extensions.h
===================================================================
--- /titan/titan/extensions.h	(revision 30205)
+++ /titan/titan/extensions.h	(revision 30206)
@@ -124,18 +124,15 @@
 	if(size != NULL) isize = atoi(size);
 	
-//	if(checkbox("ATEMIO-NEMESIS") != 1 && checkbox("ATEMIO5200") != 1 && checkbox("ATEMIO6200") != 1)
-//	{
-		if(path == NULL || path[0] == '*' || ostrstr(path, "mnt") != NULL)
-		{
-			if(tpkchecksize(NULL, "/mnt/swapextensions", isize) == 0)
-			{
-				tmpmlist = addmenulist(&mlist, _("Install to MNT"), NULL, NULL, 0, 0);
-				changemenulistparam(tmpmlist, "/mnt/swapextensions", NULL, NULL, NULL);
-				free(tmpstr); tmpstr = NULL;
-				tmpstr = ostrcat("/mnt/swapextensions", NULL, 0, 0);
-				count++;
-			}
-		}
-//	}
+	if(path == NULL || path[0] == '*' || ostrstr(path, "mnt") != NULL)
+	{
+		if(tpkchecksize(NULL, "/mnt/swapextensions", isize) == 0)
+		{
+			tmpmlist = addmenulist(&mlist, _("Install to MNT"), NULL, NULL, 0, 0);
+			changemenulistparam(tmpmlist, "/mnt/swapextensions", NULL, NULL, NULL);
+			free(tmpstr); tmpstr = NULL;
+			tmpstr = ostrcat("/mnt/swapextensions", NULL, 0, 0);
+			count++;
+		}
+	}
 	
 	if(path == NULL || path[0] == '*' || ostrstr(path, "var") != NULL)
Index: /titan/titan/harddisk.h
===================================================================
--- /titan/titan/harddisk.h	(revision 30205)
+++ /titan/titan/harddisk.h	(revision 30206)
@@ -647,5 +647,13 @@
 				cmd = ostrcat(cmd , " large", 1, 0);
 
-			if(checkbox("ATEMIO520") == 1 || checkbox("ATEMIO530") == 1 || checkbox("UFS912") == 1 || checkbox("UFS913") == 1 || checkbox("ATEMIO7600") == 1 || checkbox("ATEMIO-NEMESIS") == 1 || checkbox("ATEMIO5200") == 1 || checkbox("ATEMIO6200") == 1)
+			if(file_exist("/var/swap"))
+			{
+				if(!file_exist("/var/swap/logs"))
+					 mkdir("/var/swap/logs", 777);
+			
+				if(file_exist("/etc/.beta") && file_exist("/var/swap/logs"))
+					cmd = ostrcat(cmd, " > /var/swap/logs/format_debug.log 2>&1", 1, 0);		
+			}
+			else if(checkbox("ATEMIO510") != 1 && checkbox("UFS910") != 1 && checkbox("UFS922") != 1 && checkbox("ATEVIO700") != 1 && checkbox("ATEVIO7000") != 1 && checkbox("IPBOX91") != 1 && checkbox("IPBOX900") != 1 && checkbox("IPBOX910") != 1 && checkbox("IPBOX9000") != 1)
 			{
 				if(!file_exist("/mnt/logs"))
@@ -654,12 +662,4 @@
 				if(file_exist("/etc/.beta") && file_exist("/mnt/logs"))
 					cmd = ostrcat(cmd, " > /mnt/logs/format_debug.log 2>&1", 1, 0);
-			}
-			else if(file_exist("/var/swap"))
-			{
-				if(!file_exist("/var/swap/logs"))
-					 mkdir("/var/swap/logs", 777);
-			
-				if(file_exist("/etc/.beta") && file_exist("/var/swap/logs"))
-					cmd = ostrcat(cmd, " > /var/swap/logs/format_debug.log 2>&1", 1, 0);		
 			}
 
@@ -694,5 +694,13 @@
 				cmd = ostrcat(cmd , " large", 1, 0);
 
-			if(checkbox("ATEMIO520") == 1 || checkbox("ATEMIO530") == 1 || checkbox("UFS912") == 1 || checkbox("UFS913") == 1 || checkbox("ATEMIO7600") == 1 || checkbox("ATEMIO-NEMESIS") == 1 || checkbox("ATEMIO5200") == 1 || checkbox("ATEMIO6200") == 1)
+			if(file_exist("/var/swap"))
+			{
+				if(!file_exist("/var/swap/logs"))
+					 mkdir("/var/swap/logs", 777);
+			
+				if(file_exist("/etc/.beta") && file_exist("/var/swap/logs"))
+					cmd = ostrcat(cmd, " > /var/swap/logs/format_debug.log 2>&1", 1, 0);		
+			}
+			else if(checkbox("ATEMIO510") != 1 && checkbox("UFS910") != 1 && checkbox("UFS922") != 1 && checkbox("ATEVIO700") != 1 && checkbox("ATEVIO7000") != 1 && checkbox("IPBOX91") != 1 && checkbox("IPBOX900") != 1 && checkbox("IPBOX910") != 1 && checkbox("IPBOX9000") != 1)
 			{
 				if(!file_exist("/mnt/logs"))
@@ -701,12 +709,4 @@
 				if(file_exist("/etc/.beta") && file_exist("/mnt/logs"))
 					cmd = ostrcat(cmd, " > /mnt/logs/format_debug.log 2>&1", 1, 0);
-			}
-			else if(file_exist("/var/swap"))
-			{
-				if(!file_exist("/var/swap/logs"))
-					 mkdir("/var/swap/logs", 777);
-			
-				if(file_exist("/etc/.beta") && file_exist("/var/swap/logs"))
-					cmd = ostrcat(cmd, " > /var/swap/logs/format_debug.log 2>&1", 1, 0);		
 			}
 
@@ -769,5 +769,13 @@
 			cmd = ostrcat(cmd , " 0", 1, 0);
 
-		if(checkbox("ATEMIO520") == 1 || checkbox("ATEMIO530") == 1 || checkbox("UFS912") == 1 || checkbox("UFS913") == 1 || checkbox("ATEMIO7600") == 1 || checkbox("ATEMIO-NEMESIS") == 1 || checkbox("ATEMIO5200") == 1 || checkbox("ATEMIO6200") == 1)
+		if(file_exist("/var/swap"))
+		{
+			if(!file_exist("/var/swap/logs"))
+				 mkdir("/var/swap/logs", 777);
+		
+			if(file_exist("/etc/.beta") && file_exist("/var/swap/logs"))
+				cmd = ostrcat(cmd, " >> /var/swap/logs/format_debug.log 2>&1", 1, 0);		
+		}
+		else if(checkbox("ATEMIO510") != 1 && checkbox("UFS910") != 1 && checkbox("UFS922") != 1 && checkbox("ATEVIO700") != 1 && checkbox("ATEVIO7000") != 1 && checkbox("IPBOX91") != 1 && checkbox("IPBOX900") != 1 && checkbox("IPBOX910") != 1 && checkbox("IPBOX9000") != 1)
 		{
 			if(!file_exist("/mnt/logs"))
@@ -776,12 +784,4 @@
 			if(file_exist("/etc/.beta") && file_exist("/mnt/logs"))
 				cmd = ostrcat(cmd, " >> /mnt/logs/format_debug.log 2>&1", 1, 0);
-		}
-		else if(file_exist("/var/swap"))
-		{
-			if(!file_exist("/var/swap/logs"))
-				 mkdir("/var/swap/logs", 777);
-		
-			if(file_exist("/etc/.beta") && file_exist("/var/swap/logs"))
-				cmd = ostrcat(cmd, " >> /var/swap/logs/format_debug.log 2>&1", 1, 0);		
 		}
 
Index: /titan/titan/httpdfunc.h
===================================================================
--- /titan/titan/httpdfunc.h	(revision 30205)
+++ /titan/titan/httpdfunc.h	(revision 30206)
@@ -4574,29 +4574,28 @@
 	
 ///////////////////	
-	if(checkbox("ATEMIO-NEMESIS") == 1 || checkbox("ATEMIO5200") == 1 || checkbox("ATEMIO6200") == 1)
-	{
-		ostrcatbig(&buf, "<tr><td><font class=\"label\">", &maxlen, &pos);
-		ostrcatbig(&buf, _("Dualboot Menu TitanNit / E2"), &maxlen, &pos);
-		ostrcatbig(&buf, "&nbsp;</font></td><td><select name=\"dualboot\" border=\"0\">", &maxlen, &pos);
-	
+#ifdef MIPSEL
+	ostrcatbig(&buf, "<tr><td><font class=\"label\">", &maxlen, &pos);
+	ostrcatbig(&buf, _("Dualboot Menu TitanNit / E2"), &maxlen, &pos);
+	ostrcatbig(&buf, "&nbsp;</font></td><td><select name=\"dualboot\" border=\"0\">", &maxlen, &pos);
+
 //		if(getconfigint("dualboot", NULL) == 0)
-		if(!file_exist("/mnt/config/dualboot"))
-			ostrcatbig(&buf, "<option value=\"0\" selected>", &maxlen, &pos);		
-		else
-			ostrcatbig(&buf, "<option value=\"0\">", &maxlen, &pos);
-		ostrcatbig(&buf, _("no"), &maxlen, &pos);
-		ostrcatbig(&buf, "</option>", &maxlen, &pos);
+	if(!file_exist("/mnt/config/dualboot"))
+		ostrcatbig(&buf, "<option value=\"0\" selected>", &maxlen, &pos);		
+	else
+		ostrcatbig(&buf, "<option value=\"0\">", &maxlen, &pos);
+	ostrcatbig(&buf, _("no"), &maxlen, &pos);
+	ostrcatbig(&buf, "</option>", &maxlen, &pos);
 
 //		if(getconfigint("dualboot", NULL) == 1)
-		if(file_exist("/mnt/config/dualboot"))
-			ostrcatbig(&buf, "<option value=\"1\" selected>", &maxlen, &pos);		
-		else
-			ostrcatbig(&buf, "<option value=\"1\">", &maxlen, &pos);
-		ostrcatbig(&buf, _("yes"), &maxlen, &pos);
-		ostrcatbig(&buf, "</option>", &maxlen, &pos);
-	
-		ostrcatbig(&buf,"</select></td></tr>", &maxlen, &pos);	
-		sendstr = ostrcat(sendstr, ", dualboot.value", 1 , 0);
-	}
+	if(file_exist("/mnt/config/dualboot"))
+		ostrcatbig(&buf, "<option value=\"1\" selected>", &maxlen, &pos);		
+	else
+		ostrcatbig(&buf, "<option value=\"1\">", &maxlen, &pos);
+	ostrcatbig(&buf, _("yes"), &maxlen, &pos);
+	ostrcatbig(&buf, "</option>", &maxlen, &pos);
+
+	ostrcatbig(&buf,"</select></td></tr>", &maxlen, &pos);	
+	sendstr = ostrcat(sendstr, ", dualboot.value", 1 , 0);
+#endif
 	
 
Index: /titan/titan/mediadbsettings.h
===================================================================
--- /titan/titan/mediadbsettings.h	(revision 30205)
+++ /titan/titan/mediadbsettings.h	(revision 30206)
@@ -18,5 +18,5 @@
 	char* tmpstr = NULL;
 
-	if(checkbox("UFS912") == 1 || checkbox("ATEMIO520") == 1 || checkbox("ATEMIO530") == 1 || checkbox("ATEMIO5200") == 1 || checkbox("ATEMIO-NEMESIS") == 1 || checkbox("ATEMIO6200") == 1)
+	if(checkbox("ATEMIO510") != 1 && checkbox("UFS910") != 1 && checkbox("UFS922") != 1 && checkbox("ATEVIO700") != 1 && checkbox("ATEVIO7000") != 1 && checkbox("IPBOX91") != 1 && checkbox("IPBOX900") != 1 && checkbox("IPBOX910") != 1 && checkbox("IPBOX9000") != 1)
 		addchoicebox(mediadbpath, "/mnt/swapextensions/.mediadb", "/mnt/swapextensions/.mediadb");
 	addchoicebox(mediadbpath, "/media/hdd/.mediadb", "/media/hdd/.mediadb");
Index: /titan/titan/system_backup.h
===================================================================
--- /titan/titan/system_backup.h	(revision 30205)
+++ /titan/titan/system_backup.h	(revision 30206)
@@ -46,5 +46,13 @@
 				tmpstr = ostrcat(tmpstr, listbox->select->ret, 1, 0);
 
-				if(checkbox("ATEMIO520") == 1 || checkbox("ATEMIO530") == 1 || checkbox("UFS912") == 1 || checkbox("UFS913") == 1 || checkbox("ATEMIO7600") == 1 || checkbox("ATEMIO5200") == 1 || checkbox("ATEMIO-NEMESIS") == 1 || checkbox("ATEMIO6200") == 1)
+				if(file_exist("/var/swap"))
+				{
+					if(!file_exist("/var/swap/logs"))
+						 mkdir("/var/swap/logs", 777);
+				
+					if(file_exist("/etc/.beta") && file_exist("/var/swap/logs"))
+						tmpstr = ostrcat(tmpstr, " > /var/swap/logs/backup_debug.log 2>&1", 1, 0);		
+				}
+				else if(checkbox("ATEMIO510") != 1 && checkbox("UFS910") != 1 && checkbox("UFS922") != 1 && checkbox("ATEVIO700") != 1 && checkbox("ATEVIO7000") != 1 && checkbox("IPBOX91") != 1 && checkbox("IPBOX900") != 1 && checkbox("IPBOX910") != 1 && checkbox("IPBOX9000") != 1)
 				{
 					if(!file_exist("/mnt/logs"))
@@ -54,13 +62,5 @@
 						tmpstr = ostrcat(tmpstr, " > /mnt/logs/backup_debug.log 2>&1", 1, 0);
 				}
-				else if(file_exist("/var/swap"))
-				{
-					if(!file_exist("/var/swap/logs"))
-						 mkdir("/var/swap/logs", 777);
-				
-					if(file_exist("/etc/.beta") && file_exist("/var/swap/logs"))
-						tmpstr = ostrcat(tmpstr, " > /var/swap/logs/backup_debug.log 2>&1", 1, 0);		
-				}
-	
+
 				system(tmpstr);
 				free(tmpstr); tmpstr = NULL;
Index: /titan/titan/system_update.h
===================================================================
--- /titan/titan/system_update.h	(revision 30205)
+++ /titan/titan/system_update.h	(revision 30206)
@@ -272,5 +272,5 @@
 							cmd = ostrcat(cmd, " > /var/swap/logs/update_debug.log 2>&1", 1, 0);		
 					}
-					else if(checkbox("ATEMIO520") == 1 || checkbox("ATEMIO530") == 1 || checkbox("UFS912") == 1 || checkbox("ATEMIO7600") == 1 || checkbox("ATEMIO5200") == 1 || checkbox("ATEMIO-NEMESIS") == 1 || checkbox("ATEMIO6200") == 1 || checkbox("ATEMIO6200") == 1)
+					else if(checkbox("ATEMIO510") != 1 && checkbox("UFS910") != 1 && checkbox("UFS922") != 1 && checkbox("ATEVIO700") != 1 && checkbox("ATEVIO7000") != 1 && checkbox("IPBOX91") != 1 && checkbox("IPBOX900") != 1 && checkbox("IPBOX910") != 1 && checkbox("IPBOX9000") != 1)
 					{
 						if(!file_exist("/mnt/logs"))
@@ -302,5 +302,5 @@
 							cmd = ostrcat(cmd, " > /var/swap/logs/update_debug.log 2>&1", 1, 0);		
 					}
-					else if(checkbox("ATEMIO520") == 1 || checkbox("ATEMIO530") == 1 || checkbox("UFS912") == 1 || checkbox("ATEMIO7600") == 1 || checkbox("ATEMIO5200") == 1 || checkbox("ATEMIO-NEMESIS") == 1 || checkbox("ATEMIO6200") == 1)
+					else if(checkbox("ATEMIO510") != 1 && checkbox("UFS910") != 1 && checkbox("UFS922") != 1 && checkbox("ATEVIO700") != 1 && checkbox("ATEVIO7000") != 1 && checkbox("IPBOX91") != 1 && checkbox("IPBOX900") != 1 && checkbox("IPBOX910") != 1 && checkbox("IPBOX9000") != 1)
 					{
 						if(!file_exist("/mnt/logs"))
Index: /titan/titan/titan.c
===================================================================
--- /titan/titan/titan.c	(revision 30205)
+++ /titan/titan/titan.c	(revision 30206)
@@ -668,5 +668,5 @@
 			exit(100);
 		}
-		if((checkbox("ATEMIO-NEMESIS") == 1 || checkbox("ATEMIO5200") == 1 || checkbox("UFS913") == 1 || checkbox("ATEMIO6200") == 1) && checkhighflash() != 0)
+		if((checkbox("ATEMIO-NEMESIS") == 1 || checkbox("ATEMIO5200") == 1 || checkbox("UFS913") == 1 || checkbox("ATEMIO6200") == 1 || checkbox("ATEMIO6100") == 1 || checkbox("ATEMIO6200") == 1) && checkhighflash() != 0)
 		{
 			printf("error: 7\n");		