Index: titan/error/create_po_error_code
===================================================================
--- titan/error/create_po_error_code	(revision 32251)
+++ titan/error/create_po_error_code	(revision 32256)
@@ -48,15 +48,32 @@
 1497 translated messages, 1359 untranslated messages.
 [createpo.sh] xgettext --omit-header -j -k_ *.* -o /home/atemio/flashimg/source.titan/po/lt/LC_MESSAGES/titan.po_auto.utf.po
-/home/atemio/flashimg/source.titan/po/lt/LC_MESSAGES/titan.po_auto.utf.po: warning: Charset missing in header.
-                                                                                    Message conversion to user's charset will not work.
-/home/atemio/flashimg/source.titan/po/lt/LC_MESSAGES/titan.po_auto.utf.po:1822: duplicate message definition...
-/home/atemio/flashimg/source.titan/po/lt/LC_MESSAGES/titan.po_auto.utf.po:2: ...this is the location of the first definition
-xgettext: found 1 fatal error
+[createpo.sh] xgettext --omit-header -k_ *.* -o /home/atemio/flashimg/source.titan/po/lt/LC_MESSAGES/titan.new.po
+[createpo.sh] msgfmt -v /home/atemio/flashimg/source.titan/po/lt/LC_MESSAGES/titan.outfile.po -o /home/atemio/flashimg/source.titan/po/lt/LC_MESSAGES/titan.mo
+/home/atemio/flashimg/source.titan/po/lt/LC_MESSAGES/titan.outfile.po: warning: Charset missing in header.
+                                                                                Message conversion to user's charset will not work.
+1636 translated messages, 1220 untranslated messages.
+[createpo.sh] xgettext --omit-header -j -k_ *.* -o /home/atemio/flashimg/source.titan/po/es/LC_MESSAGES/titan.po_auto.utf.po
+[createpo.sh] xgettext --omit-header -k_ *.* -o /home/atemio/flashimg/source.titan/po/es/LC_MESSAGES/titan.new.po
+[createpo.sh] msgfmt -v /home/atemio/flashimg/source.titan/po/es/LC_MESSAGES/titan.outfile.po -o /home/atemio/flashimg/source.titan/po/es/LC_MESSAGES/titan.mo
+/home/atemio/flashimg/source.titan/po/es/LC_MESSAGES/titan.outfile.po: warning: Charset missing in header.
+                                                                                Message conversion to user's charset will not work.
+1774 translated messages, 1082 untranslated messages.
+[createpo.sh] xgettext --omit-header -j -k_ *.* -o /home/atemio/flashimg/source.titan/po/vi/LC_MESSAGES/titan.po_auto.utf.po
+/home/atemio/flashimg/source.titan/po/vi/LC_MESSAGES/titan.po_auto.utf.po:4319:79: invalid control sequence
+/home/atemio/flashimg/source.titan/po/vi/LC_MESSAGES/titan.po_auto.utf.po:4320:3: invalid control sequence
+/home/atemio/flashimg/source.titan/po/vi/LC_MESSAGES/titan.po_auto.utf.po:4320:6: invalid control sequence
+/home/atemio/flashimg/source.titan/po/vi/LC_MESSAGES/titan.po_auto.utf.po:6122:78: invalid control sequence
+/home/atemio/flashimg/source.titan/po/vi/LC_MESSAGES/titan.po_auto.utf.po:6123:3: invalid control sequence
+/home/atemio/flashimg/source.titan/po/vi/LC_MESSAGES/titan.po_auto.utf.po:6123:6: invalid control sequence
+/home/atemio/flashimg/source.titan/po/vi/LC_MESSAGES/titan.po_auto.utf.po:6716:79: invalid control sequence
+/home/atemio/flashimg/source.titan/po/vi/LC_MESSAGES/titan.po_auto.utf.po:6717:3: invalid control sequence
+/home/atemio/flashimg/source.titan/po/vi/LC_MESSAGES/titan.po_auto.utf.po:6717:6: invalid control sequence
+xgettext: found 9 fatal errors
 [createpo.sh] ############################################
 [createpo.sh] ###### error should be in the middle #######
 [createpo.sh] ############################################
-     1	msgid ""
-     2	msgstr ""
-     3	"Project-Id-Version: TitanNit 1.58\n"
+  6716	"lá»i, káº¿t quáº£ tÃ¬m kiáº¿m cÃ³ má»t imdbid khÃ´ng há»£p lá» vÃ  do ÄÃ³ kh\EF"
+  6717	"\BF\BDï¿½ng thá» ÄÆ°á»£c lÆ°u trá»¯ trong cÃ¡c MediaDB "
+  6718	
 [createpo.sh] ############################################
 [createpo.sh] ################## coding #################
@@ -107,6 +124,12 @@
 /home/atemio/flashimg/source.titan/po/en/LC_MESSAGES/titan.po_auto.po:       utf-8
 /home/atemio/flashimg/source.titan/po/en/LC_MESSAGES/titan.po_auto.utf.po:   utf-8
+/home/atemio/flashimg/source.titan/po/es/LC_MESSAGES/titan.merge.po:         utf-8
+/home/atemio/flashimg/source.titan/po/es/LC_MESSAGES/titan.new.merge.po:     utf-8
+/home/atemio/flashimg/source.titan/po/es/LC_MESSAGES/titan.new.po:           us-ascii
+/home/atemio/flashimg/source.titan/po/es/LC_MESSAGES/titan.outfile.po:       utf-8
 /home/atemio/flashimg/source.titan/po/es/LC_MESSAGES/titan.po:               utf-8
+/home/atemio/flashimg/source.titan/po/es/LC_MESSAGES/titan.po_auto.clean.po: utf-8
 /home/atemio/flashimg/source.titan/po/es/LC_MESSAGES/titan.po_auto.po:       utf-8
+/home/atemio/flashimg/source.titan/po/es/LC_MESSAGES/titan.po_auto.utf.po:   utf-8
 /home/atemio/flashimg/source.titan/po/fr/LC_MESSAGES/titan.merge.po:         utf-8
 /home/atemio/flashimg/source.titan/po/fr/LC_MESSAGES/titan.new.merge.po:     utf-8
@@ -125,4 +148,8 @@
 /home/atemio/flashimg/source.titan/po/it/LC_MESSAGES/titan.po_auto.po:       utf-8
 /home/atemio/flashimg/source.titan/po/it/LC_MESSAGES/titan.po_auto.utf.po:   utf-8
+/home/atemio/flashimg/source.titan/po/lt/LC_MESSAGES/titan.merge.po:         utf-8
+/home/atemio/flashimg/source.titan/po/lt/LC_MESSAGES/titan.new.merge.po:     utf-8
+/home/atemio/flashimg/source.titan/po/lt/LC_MESSAGES/titan.new.po:           us-ascii
+/home/atemio/flashimg/source.titan/po/lt/LC_MESSAGES/titan.outfile.po:       utf-8
 /home/atemio/flashimg/source.titan/po/lt/LC_MESSAGES/titan.po:               utf-8
 /home/atemio/flashimg/source.titan/po/lt/LC_MESSAGES/titan.po_auto.clean.po: utf-8
@@ -154,3 +181,5 @@
 /home/atemio/flashimg/source.titan/po/ru/LC_MESSAGES/titan.po_auto.utf.po:   utf-8
 /home/atemio/flashimg/source.titan/po/vi/LC_MESSAGES/titan.po:               utf-8
+/home/atemio/flashimg/source.titan/po/vi/LC_MESSAGES/titan.po_auto.clean.po: utf-8
 /home/atemio/flashimg/source.titan/po/vi/LC_MESSAGES/titan.po_auto.po:       utf-8
+/home/atemio/flashimg/source.titan/po/vi/LC_MESSAGES/titan.po_auto.utf.po:   utf-8