Index: /titan/mediathek/localparser_secret/nbaondemand.sh
===================================================================
--- /titan/mediathek/localparser_secret/nbaondemand.sh	(revision 37020)
+++ /titan/mediathek/localparser_secret/nbaondemand.sh	(revision 37021)
@@ -46,5 +46,5 @@
 mainmenu()
 {
-	echo "Category#$SRC $SRC category#http://atemio.dyndns.tv/mediathek/menu/categoty.jpg#categoty.jpg#$NAME#0" > $TMP/$PARSER.$INPUT.list
+	echo "Category#$SRC $SRC category#http://atemio.dyndns.tv/mediathek/menu/category.jpg#category.jpg#$NAME#0" > $TMP/$PARSER.$INPUT.list
 #	echo "Suche#$SRC $SRC suche#http://atemio.dyndns.tv/mediathek/menu/search.jpg#giga.jpg#$NAME#0" >> $TMP/$PARSER.$INPUT.list
 	echo "$TMP/$PARSER.$INPUT.list"
@@ -53,7 +53,7 @@
 category()
 {
-	echo "Live#$SRC $SRC live init de#http://atemio.dyndns.tv/mediathek/menu/categoty.jpg#categoty.jpg#$NAME#0" > $TMP/$PARSER.$INPUT.list
-	echo "Latest#$SRC $SRC videos latest en/videotourney/3#http://atemio.dyndns.tv/mediathek/menu/categoty.jpg#categoty.jpg#$NAME#0" >> $TMP/$PARSER.$INPUT.list
-	echo "Teams#$SRC $SRC submenu teams en/leagueresults/3/#http://atemio.dyndns.tv/mediathek/menu/categoty.jpg#categoty.jpg#$NAME#0" >> $TMP/$PARSER.$INPUT.list
+	echo "Live#$SRC $SRC live init de#http://atemio.dyndns.tv/mediathek/menu/category.jpg#category.jpg#$NAME#0" > $TMP/$PARSER.$INPUT.list
+	echo "Latest#$SRC $SRC videos latest en/videotourney/3#http://atemio.dyndns.tv/mediathek/menu/category.jpg#category.jpg#$NAME#0" >> $TMP/$PARSER.$INPUT.list
+	echo "Teams#$SRC $SRC submenu teams en/leagueresults/3/#http://atemio.dyndns.tv/mediathek/menu/category.jpg#category.jpg#$NAME#0" >> $TMP/$PARSER.$INPUT.list
   	echo "$TMP/$PARSER.$INPUT.list"
 }
@@ -70,6 +70,6 @@
 			URL=`echo $ROUND | sed 's!href=!\nurl=!g' | grep ^url= | cut -d'"' -f2 | head -n1`
 			TITLE=`echo $ROUND | sed "s!$URL\">!\ntitle=<!g" | grep ^title= | cut -d'<' -f2 | sed 's!&ndash;!-!g'`
-			SCORE=`echo $ROUND | sed 's!&nbsp; !\nscore=<!g' | grep ^score= | cut -d'<' -f2 | sed 's!&ndash;!-!g'`			
-			EXTRA=`echo $ROUND | sed 's!<span class="evdesc">!\nextra=<!g' | grep ^extra= | cut -d'<' -f2 | sed 's!&ndash;!-!g'`			
+			SCORE=`echo $ROUND | sed 's!&nbsp; !\nscore=<!g' | grep ^score= | cut -d'<' -f2 | sed 's!&ndash;!-!g'`
+			EXTRA=`echo $ROUND | sed 's!<span class="evdesc">!\nextra=<!g' | grep ^extra= | cut -d'<' -f2 | sed 's!&ndash;!-!g'`
 
 			PIC="http://atemio.dyndns.tv/mediathek/menu/default.jpg"
@@ -99,5 +99,5 @@
 				echo "$LINE" >> $TMP/$PARSER.$INPUT.$FROM.$FILENAME.list
 			fi
-	
+
 		done 3<$TMP/cache.$PARSER.$FROM.$FILENAME.2
 		rm $TMP/cache.* > /dev/null 2>&1
@@ -111,5 +111,5 @@
 		piccount=0
 		$curlbin $URL/$PAGE -o $TMP/cache.$PARSER.$FROM.$FILENAME.1	$curlopt
-		
+
 		cat $TMP/cache.$PARSER.$FROM.$FILENAME.1 | tr '\n' ' ' | sed "s!show_webplayer('!\nfound=('!g" | sed 's!src="!\nsrc="!g' | grep '^found=' >$TMP/cache.$PARSER.$FROM.$FILENAME.2
 
@@ -117,5 +117,5 @@
 			URL=`echo $ROUND | sed 's!href=!\nurl=!g' | grep ^url= | cut -d'"' -f2 | head -n1 | sed 's!/webplayer.php!/export/webplayer.iframe.php!'`
 			TITLE=`echo $ROUND | cut -d"'" -f2`
-			EXTRA=`echo $ROUND | cut -d"'" -f4`			
+			EXTRA=`echo $ROUND | cut -d"'" -f4`
 
 			PIC="http://atemio.dyndns.tv/mediathek/menu/default.jpg"
@@ -136,5 +136,5 @@
 				echo "$LINE" >> $TMP/$PARSER.$INPUT.$FROM.$FILENAME.list
 			fi
-	
+
 		done 3<$TMP/cache.$PARSER.$FROM.$FILENAME.2
 		rm $TMP/cache.* > /dev/null 2>&1
@@ -154,5 +154,5 @@
 			URL=`echo $ROUND | sed 's!<a href="/en/eventinfo/!\nurl="/en/eventinfo/!g' | grep ^url= | cut -d'"' -f2 | head -n1`
 			TITLE=`echo $ROUND | sed 's!width="30%"> <b>!\ntitle=<!g' | grep ^title= | cut -d'<' -f2 | sed 's!&ndash;!-!g'`
-			SCORE=`echo $ROUND | sed 's!<font color="#949494"><b>!\nextra=<!g' | grep ^extra= | cut -d'<' -f2 | sed 's!&ndash;!-!g'`			
+			SCORE=`echo $ROUND | sed 's!<font color="#949494"><b>!\nextra=<!g' | grep ^extra= | cut -d'<' -f2 | sed 's!&ndash;!-!g'`
 
 			if [ `echo $ROUND | sed 's!href=!\nurl=!g' | grep ^url= | grep "Full match record" | cut -d'"' -f2 | head -n1 | wc -l` -eq 0 ];then
@@ -192,5 +192,5 @@
 				echo "$LINE" >> $TMP/$PARSER.$INPUT.$FROM.$FILENAME.list
 			fi
-	
+
 		done 3<$TMP/cache.$PARSER.$FROM.$FILENAME.2
 		rm $TMP/cache.* > /dev/null 2>&1
@@ -221,5 +221,5 @@
 				echo "$LINE" >> $TMP/$PARSER.$INPUT.$FROM.$FILENAME.list
 			fi
-	
+
 		done 3<$TMP/cache.$PARSER.$FROM.$FILENAME.2
 		rm $TMP/cache.* > /dev/null 2>&1
@@ -241,5 +241,5 @@
 			TITLE=`echo $ROUND | sed 's!<b>!\ntitle=<!g' | grep ^title= | cut -d'<' -f2`
 			PIC="http://atemio.dyndns.tv/mediathek/menu/default.jpg"
-	
+
 			if [ ! -z "$TITLE" ] && [ ! -z "$URL" ];then
 				if [ ! -e $TMP/$PARSER.$INPUT.$FROM.$FILENAME.list ];then
@@ -250,5 +250,5 @@
 				echo "$LINE" >> $TMP/$PARSER.$INPUT.$FROM.$FILENAME.list
 			fi
-	
+
 		done 3<$TMP/cache.$PARSER.$FROM.$FILENAME.2
 		rm $TMP/cache.* > /dev/null 2>&1