Index: wiki/pages/TracPermissions
===================================================================
--- wiki/pages/TracPermissions	(revision 26484)
+++ wiki/pages/TracPermissions	(revision 37343)
@@ -1,8 +1,8 @@
-= Trac Permissions =
+= Trac Permissions
 [[TracGuideToc]]
 
 Trac uses a simple, case sensitive, permission system to control what users can and can't access.
 
-Permission privileges are managed using the [TracAdmin trac-admin] tool or (new in version 0.11) the ''General / Permissions'' panel in the ''Admin'' tab of the web interface.
+Permission privileges are managed using the [TracAdmin trac-admin] tool or the ''General / Permissions'' panel in the ''Admin'' tab of the web interface.
 
 In addition to the default permission policy described in this page, it is possible to activate additional permission policies by enabling plugins and listing them in the `[trac] permission_policies` configuration entry in the TracIni. See TracFineGrainedPermissions for more details.
@@ -11,8 +11,7 @@
 In addition to these privileges, users can be granted additional individual rights in effect when authenticated and logged into the system. All logged in users belong to the virtual group "authenticated", which inherits permissions from "anonymous".
 
-== Graphical Admin Tab ==
-''This feature is new in version 0.11.''
-
-To access this tab, a user must have one of the following permissions: `TRAC_ADMIN`, `PERMISSION_ADMIN`, `PERMISSION_ADD`, `PERMISSION_REMOVE`. The permissions can granted using the `trac-admin` command (more on `trac-admin` below):
+== Graphical Admin Tab
+
+To access this tab, a user must have one of the following permissions: `TRAC_ADMIN`, `PERMISSION_ADMIN`, `PERMISSION_GRANT`, `PERMISSION_REVOKE`. The permissions can be granted using the `trac-admin` command (more on `trac-admin` below):
 {{{
   $ trac-admin /path/to/projenv permission add bob TRAC_ADMIN
@@ -27,5 +26,7 @@
 An easy way to quickly secure a new Trac install is to run the above command on the anonymous user, install the [http://trac-hacks.org/wiki/AccountManagerPlugin AccountManagerPlugin], create a new admin account graphically and then remove the TRAC_ADMIN permission from the anonymous user.
 
-== Available Privileges ==
+From the graphical admin tab, users with `PERMISSION_GRANT` will only be allowed to grant permissions that they possess, and users with `PERMISSION_REVOKE` will only be allowed to revoke permissions that they possess. For example, a user cannot grant `MILESTONE_ADMIN` unless they have `PERMISSION_GRANT` and `MILESTONE_ADMIN`, and they cannot revoke `MILESTONE_ADMIN` unless they have `PERMISSION_REVOKE` and `MILESTONE_ADMIN`. `PERMISSION_ADMIN` just grants the user both `PERMISSION_GRANT` and `PERMISSION_REVOKE`, and users with `TRAC_ADMIN` can grant or revoke any permission.
+
+== Available Privileges
 
 To enable all privileges for a user, use the `TRAC_ADMIN` permission. Having `TRAC_ADMIN` is like being `root` on a *NIX system: it will allow you to perform any operation.
@@ -33,5 +34,5 @@
 Otherwise, individual privileges can be assigned to users for the various different functional areas of Trac ('''note that the privilege names are case-sensitive'''):
 
-=== Repository Browser ===
+=== Repository Browser
 
 || `BROWSER_VIEW` || View directory listings in the [wiki:TracBrowser repository browser] ||
@@ -40,5 +41,5 @@
 || `CHANGESET_VIEW` || View [wiki:TracChangeset repository check-ins] ||
 
-=== Ticket System ===
+=== Ticket System
 
 || `TICKET_VIEW` || View existing [wiki:TracTickets tickets] and perform [wiki:TracQuery ticket queries] ||
@@ -49,11 +50,11 @@
 || `TICKET_EDIT_CC` || Full modify cc field ||
 || `TICKET_EDIT_DESCRIPTION` || Modify description field ||
-|| `TICKET_EDIT_COMMENT` || Modify comments ||
+|| `TICKET_EDIT_COMMENT` || Modify another user's comments. Any user can modify their own comments by default. ||
 || `TICKET_BATCH_MODIFY` || [wiki:TracBatchModify Batch modify] tickets ||
-|| `TICKET_ADMIN` || All `TICKET_*` permissions, plus the deletion of ticket attachments and modification of the reporter and description fields. It also allows managing ticket properties in the WebAdmin panel. ||
+|| `TICKET_ADMIN` || All `TICKET_*` permissions, deletion of ticket attachments and modification of the reporter field, which grants ability to create a ticket on behalf of another user (it will appear that another user created the ticket). It also allows managing ticket properties through the web administration module. ||
 
 Attention: the "view tickets" button appears with the `REPORT_VIEW` permission.
 
-=== Roadmap ===
+=== Roadmap
 
 || `MILESTONE_VIEW` || View milestones and assign tickets to milestones. ||
@@ -65,5 +66,5 @@
 || `ROADMAP_ADMIN` || to be removed with [trac:#3022 #3022], replaced by MILESTONE_ADMIN ||
 
-=== Reports ===
+=== Reports
 
 || `REPORT_VIEW` || View [wiki:TracReports reports], i.e. the "view tickets" link. ||
@@ -74,5 +75,5 @@
 || `REPORT_ADMIN` || All `REPORT_*` permissions ||
 
-=== Wiki System ===
+=== Wiki System
 
 || `WIKI_VIEW` || View existing [wiki:TracWiki wiki] pages ||
@@ -83,5 +84,5 @@
 || `WIKI_ADMIN` || All `WIKI_*` permissions, plus the management of ''readonly'' pages. ||
 
-=== Permissions ===
+=== Permissions
 
 || `PERMISSION_GRANT` || add/grant a permission ||
@@ -89,5 +90,5 @@
 || `PERMISSION_ADMIN` || All `PERMISSION_*` permissions ||
 
-=== Others ===
+=== Others
 
 || `TIMELINE_VIEW` || View the [wiki:TracTimeline timeline] page ||
@@ -96,9 +97,9 @@
 || `EMAIL_VIEW` || Shows email addresses even if [wiki:TracIni#trac-section trac show_email_addresses] configuration option is false ||
 
-== Creating New Privileges ==
-
-To create custom permissions, for example to be used in a custom workflow, enable the optional [trac:ExtraPermissionsProvider tracopt.perm.config_perm_provider.ExtraPermissionsProvider] component in the "Plugins" admin panel, and add the desired permissions to the `[extra-permissions]` section in your [wiki:TracIni#extra-permissions-section trac.ini]. For more information, please refer to the documentation of the component in the admin panel.
-
-== Granting Privileges ==
+== Creating New Privileges
+
+To create custom permissions, for example to be used in a custom workflow, enable the optional [trac:ExtraPermissionsProvider tracopt.perm.config_perm_provider.ExtraPermissionsProvider] component in the "Plugins" admin panel, and add the desired permissions to the `[extra-permissions]` section in your [wiki:TracIni#extra-permissions-section trac.ini]. For more information, please refer to the documentation  on the [wiki:TracIni#extra-permissions-section TracIni] page after enabling the component.
+
+== Granting Privileges
 
 You grant privileges to users using [wiki:TracAdmin trac-admin]. The current set of privileges can be listed with the following command:
@@ -122,5 +123,5 @@
 }}}
 
-== Permission Groups ==
+== Permission Groups
 
 There are two built-in groups, "authenticated" and "anonymous".
@@ -144,5 +145,5 @@
 Group membership can be checked by doing a {{{permission list}}} with no further arguments; the resulting output will include group memberships. '''Use at least one lowercase character in group names, as all-uppercase names are reserved for permissions'''.
 
-== Adding a New Group and Permissions ==
+== Adding a New Group and Permissions
 Permission groups can be created by assigning a user to a group you wish to create, then assign permissions to that group.
 
@@ -154,5 +155,5 @@
 }}}
 
-== Removing Permissions ==
+== Removing Permissions
 
 Permissions can be removed using the 'remove' command. For example:
@@ -175,5 +176,5 @@
 }}}
 
-== Default Permissions ==
+== Default Permissions
 
 By default on a new Trac installation, the `anonymous` user will have ''view'' access to everything in Trac, but will not be able to create or modify anything.