Index: wiki/pages/ru/Architecture-Programming
===================================================================
--- wiki/pages/ru/Architecture-Programming	(revision 37661)
+++ wiki/pages/ru/Architecture-Programming	(revision 37662)
@@ -0,0 +1,150 @@
+[[TranslatedPages]]
+
+----
+'''5 Architecture - programming contents''' [=#point5] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+----
+[[br]]
+
+TitanNit is currently coded by a group of talented developers from the AAF digital Forums and is released for several different Receiver models and brands/reseller models.
+
+This section explains the architecture and programming information that titannit is engineered on and information of the dev team and its helpers in the present and in the past.
+
+Please select an item below for more information.
+
+{{{#!div style="width: 1100px; margin: auto"
+ {{{#!table style="border: none"
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Architecture-Programming/Architectures.png,align=left,link=[#point5.1])]] 
+  }}}
+  '''([#point5.1 Architectures])'''[[br]]
+  {{{#!div style="float: left
+Information on the various supported archetures supported by TitanNit
+  }}}
+  }}}
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Architecture-Programming/Programming_Language.png,align=left,link=[#point5.2])]]
+  }}}
+  '''([#point5.2 Programming language])'''[[br]]
+  {{{#!div style="float: left
+Information on the underlying programming of TitanNit.
+  }}} 
+  }}}
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Architecture-Programming/Source_Control.png,align=left,link=[#point5.3])]]
+  }}}
+  '''([#point5.3 Source control])'''[[br]]
+  {{{#!div style="float: left
+Information on the source code and policies Of TitanNit.
+  }}}
+  }}}
+  |----
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Architecture-Programming/The_Dev_Team.png,align=left,link=[#point5.4])]] 
+  }}}
+  '''([#point5.4 The Dev Team])'''[[br]]
+  {{{#!div style="float: left
+Here you will find the[[BR]] members of the dev team.
+  }}}
+  }}}
+}}}
+}}}
+
+----
+'''5.1 Architecture''' [=#point5.1] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+----
+'''SH4'''
+
+TitanNit was first established on the SH4 (Super-H) chipset for the atemio and kathrin receivers.
+
+The Super-H (SH4) chipset is a biendian 32bit RISC Superscaler chipset, this chipset is aimed at increacing throughput by using called instruction-level parallelism within a single core.
+
+Originally developed for multimedia devices, gaming consoles and set top boxes and was used in the Sega's Dreamcast.
+it has prooved popular because of its low cost and high proformance, it has found use in many low power embedded devices.
+
+Titannit SH4 is a linux based and is based on ST micro electronics opensource linux project made for the Super-H chipset called ([http://stlinux.com/ STLinux]).
+
+The SH4 chipset has been popular with the satellite community because of the quality of the display output due to inclusion of a high class floating point math unit and high speed bus which is the key components used for drawing graphics, the open source nature of the linux system that runs on it, since its introduction it has had many third party firmwares developed for it from different development teams.
+
+TitanNit is Team AAF's sucessor to the AAF enigma 2 based firmware, aaf enigma is not currently developed and support has ended to futher develop TitanNit we reccomend that if current AAF Enigma users update to TitanNit for future support.
+
+
+
+'''Mips'''
+
+After the sucess with TitanNit on the SH4 chipset the developers then started development on the Mips chipset for use with the newly introduced Atemio 5000 series receivers.
+
+The Mips chipset (Microprocessor without Interlocked Pipeline Stages) is a biendian 32bit RISC chipset, this chipset is aimed at increacing throughput by using deep instruction piplines combined with single cycle instruction processing.
+
+Originally developed for the embedded market it has found use in consumer products gaming consoles and set top boxes and was used in the Nintendo 64 and three Sony Playstation products.
+
+The chipset has prooved popular in the STB market because of the inclusion in the Dreambox Recievers that has spawned clone and copy cat receivers, but it has a draw back that it lacks finness in the picture quality department over the SH4 based receivers as explained above, it has the advantage that it has a larger user base and therfore more plugins are available currently than the sh4 chipset based recievers.
+
+Titannit Mips is a linux based and is based on the open source project [https://github.com/oe-alliance oe-alliance].
+
+The Mips chipset has been popular with the satellite community because of open source nature of the dbox based firmwares since its introduction has had many third party firmwares developed for it from different development teams.
+
+
+
+'''Future Architectures'''
+
+There is a possibility that development may spread to other Receiver models and other architectures in the future such as the ARM architecture or PPC.
+Future development to support more Receivers is at the mercy of the developers and also the Hardware manufacturers who support the TitanNit project.
+
+[[br]]
+
+----
+'''5.2 Programming Language''' [=#point5.2] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+----
+
+For performance reasons we have opted to use C programming language [http://en.wikipedia.org/wiki/C_(programming_language) wiki]
+
+In other DBox derived products such as the dream box and VU+ they have opted for a python layer to operate on top of the operating system.
+Python is a higher level scripting language used to define and setup elements in the gui and for an intrim language between the OS that is easily programmable.
+This was done so that users can easily develop and manipulate the system and integrate plugins skins etc... into the system but this has a performance hit on these system and can cause them to become slow and laggy and bloated but has the benifit of being easy for the community to develop for with out knowing much about the underlying system.
+
+The problem with this system has been that python has become so ingrained into the system and gui and often is now beyond the capibilities for the average user it was intended to used by not to mention it is a semi complicated language to learn to start with.
+
+TitanNit adresses these key conserns and has developed as much as possible br programming in C to increase the performance of the system but still alowing ease of intergration of plugins and skins using basic scripts.
+
+[[br]]
+
+----
+'''5.3 Source Control''' [=#point5.3] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+----
+TitanNit is a semi closed source project and contains open source elements released as required by the licences of those projects.
+
+ * The basic Linux Image used in the SH4 project is the open source Project [https://gitorious.org/open-duckbox-project-sh4 open-duckbox-project-sh4]
+ * The basic Linux Image used in the Mips project is the open source Project [https://github.com/oe-alliance oe-alliance]
+ * TitanNit Source is nonpublic and is only partially freed[source:/titan TitanNit Public Source]
+ * The MediaCenter is from [http://ffmpeg.org ffmpeg] and the libeplayer3 is from [https://gitorious.org/open-duckbox-project sh4/tdt/source/tdt/cvs/apps/misc/tools/libeplayer3 libeplayer3]
+ * Busybox is a set of unix style tools combined into a single executable [http://www.busybox.net/]
+ 
+
+[[br]]
+
+----
+'''5.4 The Dev team''' [=#point5.4] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+----
+The TitanNit project is proudly produced by the AAF Dev team and other loyal members and helpers.
+development is important aswell as the work they do to help out with such things as skin's, channel logo's and setups, translations, supplemental programs and tools, and plugins and this is a place for them to be recognized.
+
+''Note: currently this section is blank as I will leave it up to the developers and other loyal team members to place their mark''
+
+
+'''Founding DEV Team Members'''
+
+ 
+'''Dev Team Members'''
+
+
+'''Loyal Helpers'''
+
+
+'''Team Thanks'''
+
+ We would like to thank Atemio / Atevio who helped to fund the TitanNit project and has showed interst in this project from its beginnings until now.
+[[br]]