Index: /ipk/source.mipsel/tools_callmonitor/_path_/usr/local/share/titan/plugins/callmonitor1/fritzbox_msg_new.sh
===================================================================
--- /ipk/source.mipsel/tools_callmonitor/_path_/usr/local/share/titan/plugins/callmonitor1/fritzbox_msg_new.sh	(revision 37713)
+++ /ipk/source.mipsel/tools_callmonitor/_path_/usr/local/share/titan/plugins/callmonitor1/fritzbox_msg_new.sh	(revision 37714)
@@ -468,5 +468,5 @@
                         fi
                     done < /tmp/curlhelp6.tmp
-                    rm /tmp/curlhelp6.tmp    
+                    #rm /tmp/curlhelp6.tmp    
 };
 
@@ -475,7 +475,13 @@
         #rm $FRITZBUCH
         if [ ! -f $FRITZBUCH ]; then
-            echo "FritzBook new"
+            echo "FritzBook new -> $FRITZBUCH"
             
             loadFritzBook60
+                    
+            if [ `grep -c "/td#" $FRITZBUCH` != "0" ]; then
+                echo "Fehler gefunden! Teste nun v5"
+                rm $FRITZBUCH
+            fi
+            
             if [ ! -f $FRITZBUCH ]; then
                     loadFritzBook50
@@ -894,11 +900,11 @@
     fi
     loadFritzBook
-	if [ -f $FRITZBUCH ]; then
+    if [ -f $FRITZBUCH ]; then
         cat $FRITZBUCH
-		$CURL "http://$ip/cgi-bin/xmessage?caption=FritzBook%20geladen&body=FritzBox!%20Telefonbuch%20geladen&timeout=5" -o /dev/null
-		(touch /tmp/xmessage; sleep 5; rm  /tmp/xmessage) &
-	  else
-		$CURL "http://$ip/cgi-bin/xmessage?caption=Fehler%20beim%20laden&body=FritzBox!%20Telefonbuch%20konnte%20nicht%20geladen%20werden&timeout=5" -o /dev/null
-		(touch /tmp/xmessage; sleep 5; rm  /tmp/xmessage) &
+        $CURL "http://$ip/cgi-bin/xmessage?caption=FritzBook%20geladen&body=FritzBox!%20Telefonbuch%20geladen&timeout=5" -o /dev/null
+        (touch /tmp/xmessage; sleep 5; rm  /tmp/xmessage) &
+      else
+        $CURL "http://$ip/cgi-bin/xmessage?caption=Fehler%20beim%20laden&body=FritzBox!%20Telefonbuch%20konnte%20nicht%20geladen%20werden&timeout=5" -o /dev/null
+        (touch /tmp/xmessage; sleep 5; rm  /tmp/xmessage) &
     fi
   ;;
Index: /ipk/source.sh4/tools_callmonitor/_path_/usr/local/share/titan/plugins/callmonitor1/fritzbox_msg_new.sh
===================================================================
--- /ipk/source.sh4/tools_callmonitor/_path_/usr/local/share/titan/plugins/callmonitor1/fritzbox_msg_new.sh	(revision 37713)
+++ /ipk/source.sh4/tools_callmonitor/_path_/usr/local/share/titan/plugins/callmonitor1/fritzbox_msg_new.sh	(revision 37714)
@@ -468,5 +468,5 @@
                         fi
                     done < /tmp/curlhelp6.tmp
-                    rm /tmp/curlhelp6.tmp    
+                    #rm /tmp/curlhelp6.tmp    
 };
 
@@ -475,7 +475,13 @@
         #rm $FRITZBUCH
         if [ ! -f $FRITZBUCH ]; then
-            echo "FritzBook new"
+            echo "FritzBook new -> $FRITZBUCH"
             
             loadFritzBook60
+                    
+            if [ `grep -c "/td#" $FRITZBUCH` != "0" ]; then
+                echo "Fehler gefunden! Teste nun v5"
+                rm $FRITZBUCH
+            fi
+            
             if [ ! -f $FRITZBUCH ]; then
                     loadFritzBook50
@@ -894,11 +900,11 @@
     fi
     loadFritzBook
-	if [ -f $FRITZBUCH ]; then
+    if [ -f $FRITZBUCH ]; then
         cat $FRITZBUCH
-		$CURL "http://$ip/cgi-bin/xmessage?caption=FritzBook%20geladen&body=FritzBox!%20Telefonbuch%20geladen&timeout=5" -o /dev/null
-		(touch /tmp/xmessage; sleep 5; rm  /tmp/xmessage) &
-	  else
-		$CURL "http://$ip/cgi-bin/xmessage?caption=Fehler%20beim%20laden&body=FritzBox!%20Telefonbuch%20konnte%20nicht%20geladen%20werden&timeout=5" -o /dev/null
-		(touch /tmp/xmessage; sleep 5; rm  /tmp/xmessage) &
+        $CURL "http://$ip/cgi-bin/xmessage?caption=FritzBook%20geladen&body=FritzBox!%20Telefonbuch%20geladen&timeout=5" -o /dev/null
+        (touch /tmp/xmessage; sleep 5; rm  /tmp/xmessage) &
+      else
+        $CURL "http://$ip/cgi-bin/xmessage?caption=Fehler%20beim%20laden&body=FritzBox!%20Telefonbuch%20konnte%20nicht%20geladen%20werden&timeout=5" -o /dev/null
+        (touch /tmp/xmessage; sleep 5; rm  /tmp/xmessage) &
     fi
   ;;