Index: /titan/titan/header.h
===================================================================
--- /titan/titan/header.h	(revision 38488)
+++ /titan/titan/header.h	(revision 38489)
@@ -734,6 +734,6 @@
 int convertxmlentry(char *value, uint8_t *proz);
 unsigned char* savejpg(char* filename, int width, int height, int channels, int newwidth, int newheight, int quality, unsigned char *buf);
-extern inline void drawpixelfastfb(struct fb* node, int posx, int posy, unsigned long color);
-extern inline void drawpixelfb(struct fb* node, int posx, int posy, unsigned long color);
+inline void drawpixelfastfb(struct fb* node, int posx, int posy, unsigned long color);
+inline void drawpixelfb(struct fb* node, int posx, int posy, unsigned long color);
 unsigned char * resize(unsigned char *origin, int ox, int oy, int dx, int dy, int type, unsigned char * dst, int flag);
 
Index: /titan/titan/skin.h
===================================================================
--- /titan/titan/skin.h	(revision 38488)
+++ /titan/titan/skin.h	(revision 38489)
@@ -77,5 +77,5 @@
 		    return &getoledchannelresolution576;
 	    }
-	    
+
 	if(ostrcmp("getoledchannelresolution720", value) == 0)
 	    {
@@ -83,5 +83,5 @@
 		    return &getoledchannelresolution720;
 	    }
-	    
+
 	if(ostrcmp("getoledchannelresolution1080", value) == 0)
 	    {
@@ -95,5 +95,5 @@
 		return &getoledhd;
 	}
-	
+
 	if(ostrcmp("getoleddolby", value) == 0)
 	{
@@ -175,5 +175,5 @@
 	if(ostrcmp("getreccount", value) == 0)
 		return &getreccount;
-	
+
 	if(ostrcmp("getrec", value) == 0)
 	{
@@ -583,5 +583,5 @@
 {
 	char* tmpstr = NULL;
-	
+
 	if(picname == NULL || picname[0] == '\0') return NULL;
 
@@ -634,5 +634,5 @@
 	newnode->titlebgcol = -1;
 	newnode->deaktivcol = -1;
-	
+
 	newnode->nodestyle = 0;
 
@@ -947,5 +947,5 @@
 			{
 				if(getconfig("oledskin_path", NULL) != NULL)
-				{	
+				{
 					newnode->pic = ostrcat(getconfig("oledskin_path", NULL),"/", 0, 0);
 					newnode->pic = ostrcat(newnode->pic, ret, 1, 0);
@@ -967,5 +967,5 @@
 
 			if(getpic(newnode->pic) == NULL && newnode->pic != NULL)
-			{				
+			{
 				length = strlen(newnode->pic);
 				if(newnode->pic[length - 1] == 'g' && newnode->pic[length - 2] == 'n' && newnode->pic[length - 3] == 'p')
@@ -1146,5 +1146,5 @@
 
 	buf = readfiletomem(filename, 1);
-	
+
 /*
 	if(debug_level == 9999)
@@ -1162,5 +1162,5 @@
 		free(buf);
 	}
-	
+
 	return 0;
 }
@@ -1233,5 +1233,5 @@
 	free(node->font);
 	node->font = NULL;
-	
+
 	free(node->selectpic);
 	node->selectpic = NULL;
@@ -1469,10 +1469,10 @@
 }
 
-inline void drawpixelfastfb(struct fb* node, int posx, int posy, unsigned long color)
+extern inline void drawpixelfastfb(struct fb* node, int posx, int posy, unsigned long color)
 {
 	node->fblong[posy + posx] = color;
 }
 
-inline void drawpixelfb(struct fb* node, int posx, int posy, unsigned long color)
+extern inline void drawpixelfb(struct fb* node, int posx, int posy, unsigned long color)
 {
 	node->fblong[(node->width * posy) + posx] = color;
@@ -1591,9 +1591,9 @@
 
 	jpeg_start_decompress(ciptr);
-	
+
 	*width = ciptr->output_width;
 	*height = ciptr->output_height;
 	*channels = ciptr->output_components;
-	*rowbytes = ciptr->output_width * ciptr->output_components;    
+	*rowbytes = ciptr->output_width * ciptr->output_components;
 
 	if(ciptr->output_components == 3)
@@ -1694,5 +1694,5 @@
 	}
 	else
-		row_stride = width * colbytes; 
+		row_stride = width * colbytes;
 
 	if(accelfb != NULL && accelfb->varfbsize > width8 && (scalewidth != 0 || scaleheight != 0) && (scalewidth != width || scaleheight != height))
@@ -1706,5 +1706,5 @@
 		else if(valign == BOTTOM)
 			posy += mheight - scaleheight;
-	
+
 		int nposy = posy;
 		py = -1;
@@ -1816,8 +1816,8 @@
 		else if(valign == BOTTOM)
 			posy += mheight - scaleheight;
-		
+
 		int i = 0;
 		int location = 0;
-		tmpbuf = (unsigned char*)malloc(width*height*3);	
+		tmpbuf = (unsigned char*)malloc(width*height*3);
 		aktline = cinfo->output_scanline;
 		while(aktline < height)
@@ -1825,5 +1825,5 @@
 			jpeg_read_scanlines(cinfo, buffer, 1);
 			aktline = cinfo->output_scanline;
-			for(i=0; i<width*3; i++) 
+			for(i=0; i<width*3; i++)
  				tmpbuf[location++] = buffer[0][i];
  		}
@@ -1831,7 +1831,7 @@
 		if(getconfigint("extended_scale", NULL) == 1 || getconfigint("extendet_scale", NULL) == 1)
 			scalebuf = resize(tmpbuf, width, height, scalewidth, scaleheight, 2, NULL, 1);
-		else	
+		else
 			scalebuf = resize(tmpbuf, width, height, scalewidth, scaleheight, 1, NULL, 1);
-		
+
 		aktline = 0;
 		while(aktline < scaleheight)
@@ -1852,5 +1852,5 @@
 				else
 					color = (255 << 24) | (red << 16) | (red << 8) | red;
-			
+
 				drawpixelfast(posx + x, py, color);
 			}
@@ -1858,5 +1858,5 @@
 		}
 		free(scalebuf);
-	}	
+	}
 	else
 	{
@@ -1883,5 +1883,5 @@
 			else
 				aktline++;
-				
+
 			aktline1 = (aktline - 1) * row_stride;
 
@@ -2064,5 +2064,5 @@
 		free(sig);
 		fclose(fd);
-		return NULL;	
+		return NULL;
 	}
 
@@ -2193,5 +2193,5 @@
 		else if(scalewidth == 2 && scaleheight == 2)
 			calcautoscale(width, height, mwidth, mheight - 25, &scalewidth, &scaleheight);
-	
+
 		if(scalewidth == 0) scalewidth = width;
 		if(scaleheight == 0) scaleheight = height;
@@ -2278,5 +2278,5 @@
 						else
 						{
-							ralpha = 255 - src[3]; 
+							ralpha = 255 - src[3];
 							alpha_composite(r, src[0], src[3], ralpha, (skinfb->fblong[x] & 0xff0000) >> 16);
 							alpha_composite(g, src[1], src[3], ralpha, (skinfb->fblong[x] & 0x00ff00) >> 8);
@@ -2492,5 +2492,5 @@
 		min = 100;
 	}
-	
+
 	red = (color & 0xff0000) >> 16;
 	green = (color & 0x00ff00) >> 8;
@@ -2500,9 +2500,9 @@
 	posy = posy + height - sbit->top;
 	posx = posx + sbit->left + kerning.x;
-		
+
 	py = (posy * skinfb->width) + posx;
 	pyh = py + (sbit->height * skinfb->width);
 	src = sbit->buffer;
-		
+
 	for(y = py; y < pyh; y += skinfb->width)
 	{
@@ -2517,5 +2517,5 @@
 				else
 				{
-					ralpha = 255 - src[0]; 
+					ralpha = 255 - src[0];
 					alpha_composite(r, red, src[0], ralpha, (skinfb->fblong[x] & 0xff0000) >> 16);
 					alpha_composite(g, green, src[0], ralpha, (skinfb->fblong[x] & 0x00ff00) >> 8);
@@ -2637,5 +2637,5 @@
 
 		if(posx > mwidth && tmpstr > origstr)
-		{	
+		{
 			tmpstr--;
 			*tmpstr = '\n';
@@ -2661,15 +2661,15 @@
 
 	if(string == NULL || color == -1) return 1;
-	
+
 	if(flag == 1)
 	{
 		string = mask(NULL, strlen(string), "*");
 		tmpstr = string;
-	}	
+	}
 
 	if(flag == 2)
 	{
 		color = convertcol(string);
-	}	
+	}
 
 	transparent = (transparent - 255) * -1;
@@ -2748,5 +2748,5 @@
 	if(lastposx != NULL) *lastposx = posx;
 	if(lastposy != NULL) *lastposy = posy + fontsize;
-	
+
 	if(flag == 1) free(tmpstr);
 	return ret;
@@ -2964,5 +2964,5 @@
 		b3 = (b1 * p + b2 * i) / steps;
 		col = (transparent << 24) | (r3 << 16) | (g3 << 8) | b3;
-		
+
 		r = 0;
 		for(y = posy; y < yend; y += skinfb->width)
@@ -2984,5 +2984,5 @@
 			xend = posx + xstep;
 		}
-		else 
+		else
 		{
 			tmp = ystep * skinfb->width;
@@ -3002,5 +3002,5 @@
 			b3 = (b2 * p + b1 * i) / steps;
 			col = (transparent << 24) | (r3 << 16) | (g3 << 8) | b3;
-		
+
 			r = 0;
 			for(y = posy; y < yend; y += skinfb->width)
@@ -3015,5 +3015,5 @@
 					memcpy(skinfb->fb + (y + posx) * skinfb->colbytes, skinfb->fb + (posy + posx) * skinfb->colbytes, (xend - posx) * skinfb->colbytes);
 			}
-			
+
 			if(flag == LEFTMIDDLE)
 			{
@@ -3022,5 +3022,5 @@
 				xend = posx + xstep;
 			}
-			else 
+			else
 			{
 				tmp = ystep * skinfb->width;
@@ -3113,5 +3113,5 @@
 	while(epgrecord != NULL)
 	{
-		
+
 		if(epgrecord->posx > 100) epgrecord->posx = 100;
 		val1 = (((node->iwidth * 100) / 100) * epgrecord->posx) / 100;
@@ -3263,5 +3263,5 @@
 	int len = 0;
 	char* bglt = NULL, *bglb = NULL, *bgrt = NULL, *bgrb = NULL;
-	
+
 	node->flag = setbit(node->flag, 0);
 
@@ -3507,5 +3507,5 @@
 			child = child->next;
 			continue;
-		}		
+		}
 
 		calcrheight(child, node);
@@ -3559,5 +3559,5 @@
 		node->aktline = node->linecount;
 	}
-	
+
 	if(found != NULL)
 	{
@@ -3777,5 +3777,5 @@
 	if(node->child != NULL && status.picbordersize > 0)
 		node->bordersize = status.picbordersize;
-	
+
 	if(node->nodestyle != 0)
 	{
@@ -3787,5 +3787,5 @@
 			setblink(node);
 	}
-	
+
 	if(node->skinfunc != NULL)
 	{
@@ -3799,5 +3799,5 @@
 			tmpstr = node->skinfunc(node, node->param1, node->param2);
 			if(tmpstr != NULL)
-				changepic(node, tmpstr);	
+				changepic(node, tmpstr);
 		}
 		else if(node->funcrettype == FUNCPROGRESS)
@@ -3990,5 +3990,5 @@
 	int i, ret = 0;
 	int tmp = sizeof(status.drawallways) / sizeof(skin);
-	
+
 	m_lock(&status.oledmutex, 25);
 	for(i = 0; i < tmp; i++)
@@ -4006,5 +4006,5 @@
 	}
 	m_unlock(&status.oledmutex, 25);
-	
+
 	return ret;
 }
@@ -4083,5 +4083,5 @@
 		m_lock(&status.oledmutex, 25);
 		if(lcdskinfb == NULL) {
-#ifndef MIPSEL			
+#ifndef MIPSEL
 			if(node->name != NULL && ostrstr(node->name, "LCD_spf87") != NULL) {
 				unsigned char *newskinfb = calloc(1, 4 * 800 * 480);
@@ -4172,18 +4172,18 @@
 				lcdskinfb = addfb("lcdskinfb", 999, 320, 240, 4, -1, newskinfb, 4 * 320 * 240, 0);
 			}
-#else	
-			if(node->name != NULL && ostrstr(node->name, "LCD_spf87") != NULL) 
+#else
+			if(node->name != NULL && ostrstr(node->name, "LCD_spf87") != NULL)
 				lcdskinfb = oledaddfb(800, 480);
-			else if(node->name != NULL && ostrstr(node->name, "LCD_spf72") != NULL) 
+			else if(node->name != NULL && ostrstr(node->name, "LCD_spf72") != NULL)
 				lcdskinfb = oledaddfb(800, 480);
-			else if(node->name != NULL && ostrstr(node->name, "LCD_spf83") != NULL) 
+			else if(node->name != NULL && ostrstr(node->name, "LCD_spf83") != NULL)
 				lcdskinfb = oledaddfb(800, 600);
-			else if(node->name != NULL && ostrstr(node->name, "LCD_spf85") != NULL) 
+			else if(node->name != NULL && ostrstr(node->name, "LCD_spf85") != NULL)
 				lcdskinfb = oledaddfb(800, 600);
-			else if(node->name != NULL && ostrstr(node->name, "LCD_spf75") != NULL) 
+			else if(node->name != NULL && ostrstr(node->name, "LCD_spf75") != NULL)
 				lcdskinfb = oledaddfb(800, 480);
-			else if(node->name != NULL && ostrstr(node->name, "LCD_spf107") != NULL) 
+			else if(node->name != NULL && ostrstr(node->name, "LCD_spf107") != NULL)
 				lcdskinfb = oledaddfb(1024, 600);
-			else if(node->name != NULL && ostrstr(node->name, "LCD_spf105") != NULL) 
+			else if(node->name != NULL && ostrstr(node->name, "LCD_spf105") != NULL)
 				lcdskinfb = oledaddfb(1024, 600);
 			else
@@ -4261,14 +4261,14 @@
 		if(screencalc == 0)
 		{
-			if(merkskinfb != NULL) 
-			{	
-				if(node->name != NULL && ostrstr(node->name, "LCD_spf") != NULL) 
+			if(merkskinfb != NULL)
+			{
+				if(node->name != NULL && ostrstr(node->name, "LCD_spf") != NULL)
 					write_FB_to_JPEG_file(skinfb->fb, skinfb->width, skinfb->height, "/tmp/titanlcd.jpg", 75);
 				else if(node->name != NULL && ostrstr(node->name, "OLED_") != NULL)
 					write2oled(skinfb->fb, skinfb->width, skinfb->height);
-				else			
+				else
 					pngforlcd(skinfb->fb, skinfb->width, skinfb->height);
 			}
-			else	
+			else
 			{
 				status.drawscreencount++;
@@ -4298,5 +4298,5 @@
 		{
 			debug(100, "free lcdskinfb");
-			free(skinfb->fb); skinfb->fb = NULL;  
+			free(skinfb->fb); skinfb->fb = NULL;
 			skinfb = merkskinfb;
 			merkskinfb = NULL;
@@ -4643,5 +4643,5 @@
 	unsigned char * cr;
 
-	if(dst == NULL) 
+	if(dst == NULL)
 	{
 		cr = (unsigned char*) malloc(dx*dy*3);
@@ -4652,9 +4652,9 @@
 			return(origin);
 		}
-	} 
+	}
 	else
 		cr = dst;
 
-	if(type == 1) 
+	if(type == 1)
 	{
 		unsigned char *p,*l;
@@ -4671,6 +4671,6 @@
 			}
 		}
-	} 
-	else 
+	}
+	else
 	{
 		unsigned char *p,*q;
@@ -4684,5 +4684,5 @@
 			xa_v[i] = i*ox/dx;
 		int xb_v[dx+1];
-		
+
 		for(i=0;i<dx;i++)
 		{
@@ -4691,5 +4691,5 @@
 				xb_v[i]=ox-1;
 		}
-		
+
 		for(j=0;j<dy;j++)
 		{
@@ -4710,8 +4710,8 @@
 		}
 	}
-	
+
 	if(flag == 1)
 		free(origin);
-	
+
 	return(cr);
 }