Index: /titan/mediathek/localhoster/nosvideo.py
===================================================================
--- /titan/mediathek/localhoster/nosvideo.py	(revision 38960)
+++ /titan/mediathek/localhoster/nosvideo.py	(revision 38961)
@@ -1,25 +1,8 @@
-'''
-Nosvideo urlresolver plugin
-Copyright (C) 2013 Vinnydude
 
-This program is free software: you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
-the Free Software Foundation, either version 3 of the License, or
-(at your option) any later version.
+import sys
+import re
+from net import Net
 
-This program is distributed in the hope that it will be useful,
-but WITHOUT ANY WARRANTY; without even the implied warranty of
-MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-GNU General Public License for more details.
-
-You should have received a copy of the GNU General Public License
-along with this program. If not, see <http://www.gnu.org/licenses/>.
-'''
-
-import re
-from urlresolver import common
-from urlresolver.resolver import UrlResolver, ResolverError
-
-class NosvideoResolver(UrlResolver):
+class NosvideoResolver(object):
     name = "nosvideo"
     domains = ["nosvideo.com", "noslocker.com"]
@@ -27,5 +10,17 @@
 
     def __init__(self):
-        self.net = common.Net()
+        self.net = Net()
+        url = str(sys.argv[1])
+        host = self.get_host_and_id(url)[0]
+        media_id = self.get_host_and_id(url)[1]
+
+        return self.get_media_url(host, media_id)
+
+    def get_host_and_id(self, url):
+        r = re.search(self.pattern, url, re.I)
+        if r:
+            return r.groups()
+        else:
+            return False
 
     def get_media_url(self, host, media_id):
@@ -51,7 +46,9 @@
         stream_url = '%s playpath=%s' % (streamer, playpath)
 
-        return stream_url
+        print stream_url
 
     def get_url(self, host, media_id):
         return 'http://nosvideo.com/%s' % media_id
 
+sys.stdout = NosvideoResolver()
+
Index: /titan/mediathek/localhoster/vidup.py
===================================================================
--- /titan/mediathek/localhoster/vidup.py	(revision 38961)
+++ /titan/mediathek/localhoster/vidup.py	(revision 38961)
@@ -0,0 +1,48 @@
+
+import sys
+import re
+from lib import jsunpack
+from net import Net
+
+class VidUpMeResolver(object):
+    name = "vidup.me"
+    domains = ["vidup.me", "beta.vidup.me"]
+    pattern = '(?://|\.)(vidup\.me)/(?:embed-)?([0-9a-zA-Z]+)'
+
+    def __init__(self):
+        self.net = Net()
+        url = str(sys.argv[1])
+        host = self.get_host_and_id(url)[0]
+        media_id = self.get_host_and_id(url)[1]
+
+        return self.get_media_url(host, media_id)
+ 
+    def get_host_and_id(self, url):
+        r = re.search(self.pattern, url, re.I)
+        if r:
+            return r.groups()
+        else:
+            return False
+
+    def get_media_url(self, host, media_id):
+        web_url = self.get_url(host, media_id)
+        html = self.net.http_GET(web_url).content
+
+        js_data = re.findall('(eval\(function.*?)</script>', html.replace('\n', ''))
+
+        for i in js_data:
+            try: html += jsunpack.unpack(i)
+            except: pass
+
+        match = re.findall('''["']?sources['"]?\s*:\s*\[(.*?)\]''', html)
+
+        if match:
+            stream_url = re.findall('''['"]?file['"]?\s*:\s*['"]?([^'"]+)''', match[0])
+            if stream_url:
+                 print stream_url[-1]
+
+    def get_url(self, host, media_id):
+        return 'http://beta.vidup.me/embed-%s.html' % media_id
+
+
+sys.stdout = VidUpMeResolver()
Index: tan/mediathek/localhoster/vidup_me.py
===================================================================
--- /titan/mediathek/localhoster/vidup_me.py	(revision 38960)
+++ 	(revision )
@@ -1,53 +1,0 @@
-"""
-    urlresolver XBMC Addon
-    Copyright (C) 2011 t0mm0
-
-    This program is free software: you can redistribute it and/or modify
-    it under the terms of the GNU General Public License as published by
-    the Free Software Foundation, either version 3 of the License, or
-    (at your option) any later version.
-
-    This program is distributed in the hope that it will be useful,
-    but WITHOUT ANY WARRANTY; without even the implied warranty of
-    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-    GNU General Public License for more details.
-
-    You should have received a copy of the GNU General Public License
-    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-"""
-
-import re
-from lib import jsunpack
-from urlresolver import common
-from urlresolver.resolver import UrlResolver, ResolverError
-
-
-class VidUpMeResolver(UrlResolver):
-    name = "vidup.me"
-    domains = ["vidup.me", "beta.vidup.me"]
-    pattern = '(?://|\.)(vidup\.me)/(?:embed-)?([0-9a-zA-Z]+)'
-
-    def __init__(self):
-        self.net = common.Net()
-
-    def get_media_url(self, host, media_id):
-        web_url = self.get_url(host, media_id)
-        html = self.net.http_GET(web_url).content
-
-        js_data = re.findall('(eval\(function.*?)</script>', html.replace('\n', ''))
-
-        for i in js_data:
-            try: html += jsunpack.unpack(i)
-            except: pass
-
-        match = re.findall('''["']?sources['"]?\s*:\s*\[(.*?)\]''', html)
-
-        if match:
-            stream_url = re.findall('''['"]?file['"]?\s*:\s*['"]?([^'"]+)''', match[0])
-            if stream_url:
-                return stream_url[-1]
-
-        raise ResolverError('File Not Found or removed')
-
-    def get_url(self, host, media_id):
-        return 'http://beta.vidup.me/embed-%s.html' % media_id